# PulpContainerClient::PulpContainerNamespacesApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**add_role**](PulpContainerNamespacesApi.md#add_role) | **POST** {container_container_namespace_href}add_role/ | 
[**create**](PulpContainerNamespacesApi.md#create) | **POST** /pulp/api/v3/pulp_container/namespaces/ | Create a container namespace
[**delete**](PulpContainerNamespacesApi.md#delete) | **DELETE** {container_container_namespace_href} | Delete a container namespace
[**list**](PulpContainerNamespacesApi.md#list) | **GET** /pulp/api/v3/pulp_container/namespaces/ | List container namespaces
[**list_roles**](PulpContainerNamespacesApi.md#list_roles) | **GET** {container_container_namespace_href}list_roles/ | 
[**my_permissions**](PulpContainerNamespacesApi.md#my_permissions) | **GET** {container_container_namespace_href}my_permissions/ | 
[**read**](PulpContainerNamespacesApi.md#read) | **GET** {container_container_namespace_href} | Inspect a container namespace
[**remove_role**](PulpContainerNamespacesApi.md#remove_role) | **POST** {container_container_namespace_href}remove_role/ | 



## add_role

> NestedRoleResponse add_role(container_container_namespace_href, nested_role)



Add a role for this object to users/groups.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
container_container_namespace_href = 'container_container_namespace_href_example' # String | 
nested_role = PulpContainerClient::NestedRole.new # NestedRole | 

begin
  result = api_instance.add_role(container_container_namespace_href, nested_role)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->add_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_namespace_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## create

> ContainerContainerNamespaceResponse create(container_container_namespace)

Create a container namespace

ViewSet for ContainerNamespaces.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
container_container_namespace = PulpContainerClient::ContainerContainerNamespace.new # ContainerContainerNamespace | 

begin
  #Create a container namespace
  result = api_instance.create(container_container_namespace)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_namespace** | [**ContainerContainerNamespace**](ContainerContainerNamespace.md)|  | 

### Return type

[**ContainerContainerNamespaceResponse**](ContainerContainerNamespaceResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(container_container_namespace_href)

Delete a container namespace

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
container_container_namespace_href = 'container_container_namespace_href_example' # String | 

begin
  #Delete a container namespace
  result = api_instance.delete(container_container_namespace_href)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_namespace_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedcontainerContainerNamespaceResponseList list(opts)

List container namespaces

ViewSet for ContainerNamespaces.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | Filter results where name matches value
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: ['ordering_example'], # Array<String> | Ordering
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List container namespaces
  result = api_instance.list(opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| Filter results where name matches value | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | [**Array&lt;String&gt;**](String.md)| Ordering | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedcontainerContainerNamespaceResponseList**](PaginatedcontainerContainerNamespaceResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_roles

> ObjectRolesResponse list_roles(container_container_namespace_href, opts)



List roles assigned to this object.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
container_container_namespace_href = 'container_container_namespace_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.list_roles(container_container_namespace_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->list_roles: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_namespace_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**ObjectRolesResponse**](ObjectRolesResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## my_permissions

> MyPermissionsResponse my_permissions(container_container_namespace_href, opts)



List permissions available to the current user on this object.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
container_container_namespace_href = 'container_container_namespace_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.my_permissions(container_container_namespace_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->my_permissions: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_namespace_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**MyPermissionsResponse**](MyPermissionsResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> ContainerContainerNamespaceResponse read(container_container_namespace_href, opts)

Inspect a container namespace

ViewSet for ContainerNamespaces.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
container_container_namespace_href = 'container_container_namespace_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a container namespace
  result = api_instance.read(container_container_namespace_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_namespace_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**ContainerContainerNamespaceResponse**](ContainerContainerNamespaceResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## remove_role

> NestedRoleResponse remove_role(container_container_namespace_href, nested_role)



Remove a role for this object from users/groups.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
container_container_namespace_href = 'container_container_namespace_href_example' # String | 
nested_role = PulpContainerClient::NestedRole.new # NestedRole | 

begin
  result = api_instance.remove_role(container_container_namespace_href, nested_role)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->remove_role: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_namespace_href** | **String**|  | 
 **nested_role** | [**NestedRole**](NestedRole.md)|  | 

### Return type

[**NestedRoleResponse**](NestedRoleResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

